Subject: Re: GCD005: Regular and efficient releases

From: Rutherther <[email-masked]>
Date: Mon, 12 May 2025 19:32:51 +0200

Greg Hogan <[email-masked]> writes:

> On Mon, May 12, 2025 at 12:23 PM Rutherther <[email-masked]> wrote:
>
> So for the (small?) subset of users (myself included) who do not
> enable substitutes, then for the small set of packages provided
> pre-built with the installation ...
>
>>> guix depends on gnutls
> [email-masked]
> [email-masked]
> [email-masked]

Yeah, which means users cannot pull from 1.4.0
See this thread https://lists.gnu.org/archive/html/guix-devel/2025-04/msg00205.html

>
> Can we not retry mirrors on checksum mismatch? 

I don't know why not. I would also think it's good way to mitigate
issues like this. But my main point was meant to be that I think issues
like that will happen in the future as well, so having old releases
means users have to deal with them more often.

> Does use of SWH require substitutes to be enabled?

SWH should be used even without substitutes to my knowledge.